package com.tuoheng.miniprogram.enums;

/**
 * @Author ChengWang
 * @Date 2022/12/6
 */
public enum WorkOrderEnum {

    INSPECTION_FILE_ID_IS_NULL(1210100, "问题id为空"),
    TENANT_ID_IS_NULL(1210101, "租户id为空"),
    USER_ID_IS_NULL(1210102, "用户id为空"),
    USER_NAME_IS_NULL(1210103, "登录用户名为空"),
    USER_IS_NOT_EXIST(1210104, "用户为空"),
    DEPT_ID_IS_NULL(1210105, "部门id为空"),
    DATA_IS_NULL(1210106, "数据为空"),
    WORK_ORDER_ID_IS_NULL(1210107, "工单id为空"),
    INSPECTION_ID_IS_NULL(1210108, "任务id为空"),
    ASSIGN_USER_IS_EXIST(1210109, "被分配人id为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    WorkOrderEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }



}
